summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYegor Yefremov <yegor_sub1@visionsystems.de>2011-07-20 14:46:28 (GMT)
committer Peter Korsgaard <jacmet@sunsite.dk>2011-07-21 20:35:04 (GMT)
commitc74bce7de54ac631259982f8a78e4342a0ff637c (patch)
treed65ac5aea23d6a3474f845378af2f2a6f7579898
parent7dae68a0fa24dd733bf70d6dee9b20c70e1041fc (diff)
downloadbuildroot-c74bce7de54ac631259982f8a78e4342a0ff637c.tar.gz
buildroot-c74bce7de54ac631259982f8a78e4342a0ff637c.tar.bz2
usbmount: bump to 0.0.21
[Peter: fix udev dep, use Debian mirrors, fix usbmount.rules install, uninstall] Signed-off-by: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rw-r--r--package/usbmount/Config.in3
-rw-r--r--package/usbmount/usbmount-0.0.14.1.patch57
-rw-r--r--package/usbmount/usbmount.mk13
3 files changed, 10 insertions, 63 deletions
diff --git a/package/usbmount/Config.in b/package/usbmount/Config.in
index 5cf15be..33e1f05 100644
--- a/package/usbmount/Config.in
+++ b/package/usbmount/Config.in
@@ -1,8 +1,9 @@
config BR2_PACKAGE_USBMOUNT
bool "usbmount"
select BR2_PACKAGE_UDEV
- select BR2_PACKAGE_UDEV_VOLUME_ID
select BR2_PACKAGE_LOCKFILE_PROGS
help
The usbmount package automatically mounts USB mass storage devices
when they are plugged in, and unmounts them when they are removed.
+
+ http://usbmount.alioth.debian.org/
diff --git a/package/usbmount/usbmount-0.0.14.1.patch b/package/usbmount/usbmount-0.0.14.1.patch
deleted file mode 100644
index 22a5857..0000000
--- a/package/usbmount/usbmount-0.0.14.1.patch
+++ /dev/null
@@ -1,57 +0,0 @@
-diff -ur usbmount-0.0.14.1/usbmount usbmount-0.0.14.1-patched/usbmount
---- usbmount-0.0.14.1/usbmount 2007-01-27 05:22:14.000000000 -0600
-+++ usbmount-0.0.14.1-patched/usbmount 2007-03-15 07:25:18.000000000 -0500
-@@ -20,7 +20,7 @@
- log()
- {
- if test $1 != debug || expr "$VERBOSE" : "[yY]" > /dev/null; then
-- logger -p user.$1 -t "usbmount[$$]" -- "$2"
-+ echo "usbmount[$$] -- $2" >> $LOGFILE
- fi
- }
-
-@@ -57,11 +57,11 @@
- if test "$1" = add; then
-
- # Acquire lock.
-- log debug "trying to acquire lock /var/run/usbmount/.mount.lock"
-- lockfile-create --retry 3 /var/run/usbmount/.mount || \
-- { log err "cannot acquire lock /var/run/usbmount/.mount.lock"; exit 1; }
-- trap '( lockfile-remove /var/run/usbmount/.mount )' 0
-- log debug "acquired lock /var/run/usbmount/.mount.lock"
-+ log debug "trying to acquire lock /var/run/.usbmount.lock"
-+ lockfile-create --retry 5 /var/run/.usbmount || \
-+ { log err "cannot acquire lock /var/run/.usbmount.lock"; exit 1; }
-+ trap '( lockfile-remove /var/run/.usbmount )' 0
-+ log debug "acquired lock /var/run/.usbmount.lock"
-
- # Try to read from the device. Some devices need a few seconds
- # initialization time before they can be accessed. Give up after
-@@ -184,6 +184,7 @@
- log info "executing command: run-parts /etc/usbmount/umount.d"
- run-parts /etc/usbmount/umount.d || :
- fi
-+ lockfile-remove /var/run/.usbmount
- break
- fi
- done < /proc/mounts
-diff -ur usbmount-0.0.14.1/usbmount.conf usbmount-0.0.14.1-patched/usbmount.conf
---- usbmount-0.0.14.1/usbmount.conf 2005-04-08 09:05:10.000000000 -0500
-+++ usbmount-0.0.14.1-patched/usbmount.conf 2007-03-15 07:21:33.000000000 -0500
-@@ -17,7 +17,7 @@
- # sure all data is written to the medium before you remove it (e.g. run the #
- # "sync" command in a terminal window). Otherwise, you *WILL* lose data! #
- #############################################################################
--FILESYSTEMS="ext2 ext3"
-+FILESYSTEMS="ext2 ext3 msdos vfat"
-
- # Mount options: Options passed to the mount command with the -o flag.
- # WARNING! Removing "sync" from the options is a very bad idea and
-@@ -35,3 +35,7 @@
- # If set to "yes", more information will be logged via the syslog
- # facility.
- VERBOSE="no"
-+
-+# Location of the log file when verbose is Yes
-+LOGFILE="/var/log/usbmount.log"
-+
diff --git a/package/usbmount/usbmount.mk b/package/usbmount/usbmount.mk
index 5925e5e..abe349d 100644
--- a/package/usbmount/usbmount.mk
+++ b/package/usbmount/usbmount.mk
@@ -3,20 +3,23 @@
# usbmount
#
#############################################################
-USBMOUNT_VERSION=0.0.14.1
-USBMOUNT_SOURCE:=usbmount_$(USBMOUNT_VERSION).tar.gz
-USBMOUNT_SITE:=http://usbmount.alioth.debian.org/package/
+USBMOUNT_VERSION = 0.0.21
+USBMOUNT_SOURCE = usbmount_$(USBMOUNT_VERSION).tar.gz
+USBMOUNT_SITE = $(BR2_DEBIAN_MIRROR)/debian/pool/main/u/usbmount
USBMOUNT_DEPENDENCIES = udev lockfile-progs
define USBMOUNT_INSTALL_TARGET_CMDS
- $(INSTALL) -m 0755 -D $(@D)/usbmount $(TARGET_DIR)/sbin/usbmount
+ $(INSTALL) -m 0755 -D $(@D)/usbmount $(TARGET_DIR)/usr/share/usbmount/usbmount
+ $(INSTALL) -m 0644 -D $(@D)/usbmount.rules $(TARGET_DIR)/lib/udev/rules.d/usbmount.rules
@if [ ! -f $(TARGET_DIR)/etc/usbmount/usbmount.conf ]; then \
$(INSTALL) -m 0644 -D $(@D)/usbmount.conf $(TARGET_DIR)/etc/usbmount/usbmount.conf; \
fi
endef
define USBMOUNT_UNINSTALL_TARGET_CMDS
- rm -rf $(TARGET_DIR)/etc/usbmount $(TARGET_DIR)/sbin/usbmount
+ rm -rf $(TARGET_DIR)/etc/usbmount \
+ $(TARGET_DIR)/usr/share/usbmount/usbmount \
+ $(TARGET_DIR)/lib/udev/rules.d/usbmount.rules
endef
$(eval $(call GENTARGETS,package,usbmount))